aboutsummaryrefslogtreecommitdiffstats
path: root/community/notmuch/APKBUILD
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-11-30 11:24:49 +0100
committerSören Tempel <soeren+git@soeren-tempel.net>2016-11-30 11:24:59 +0100
commit2fdc55619c03a1dcc0996a16ad6f72ad9103f704 (patch)
tree85a6e69ba92ff512a74c9386851874097fce6664 /community/notmuch/APKBUILD
parenta188a3cb8c39dc6dfae18ddbf49ef4c7d71fe11a (diff)
downloadaports-2fdc55619c03a1dcc0996a16ad6f72ad9103f704.tar.gz
aports-2fdc55619c03a1dcc0996a16ad6f72ad9103f704.tar.bz2
aports-2fdc55619c03a1dcc0996a16ad6f72ad9103f704.tar.xz
community/notmuch: add -doc subpackage
Diffstat (limited to 'community/notmuch/APKBUILD')
-rw-r--r--community/notmuch/APKBUILD12
1 files changed, 7 insertions, 5 deletions
diff --git a/community/notmuch/APKBUILD b/community/notmuch/APKBUILD
index 21f40bfff1..ae3d823149 100644
--- a/community/notmuch/APKBUILD
+++ b/community/notmuch/APKBUILD
@@ -2,14 +2,16 @@
# Maintainer: Stefan Wagner <stw@bit-strickerei.de>
pkgname=notmuch
pkgver=0.23.2
-pkgrel=0
+pkgrel=1
pkgdesc="E-Mail index, search and tagging"
url="https://notmuchmail.org/"
arch="all"
license="GPL3"
-makedepends="gzip xapian-core-dev gmime-dev talloc-dev bash-completion"
+makedepends="gzip xapian-core-dev gmime-dev talloc-dev
+ py-sphinx bash-completion"
subpackages="
$pkgname-dev
+ $pkgname-doc
$pkgname-zsh-completion:zshcomp:noarch
$pkgname-bash-completion:bashcomp:noarch"
source="https://notmuchmail.org/releases/$pkgname-$pkgver.tar.gz"
@@ -27,12 +29,12 @@ build() {
--bashcompletiondir=/usr/share/bash-completion/completions \
--zshcompletiondir=/usr/share/zsh/site-functions \
|| return 1
- make PREFIX=/usr DESTDIR="$pkgdir"
+ make PREFIX=/usr DESTDIR="$pkgdir" || return 1
}
package() {
- cd "$builddir"
- make PREFIX=/usr DESTDIR="$pkgdir" install
+ make PREFIX=/usr DESTDIR="$pkgdir" \
+ -C "$builddir" install || return 1
}
bashcomp() {